from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Int, Boolean, String, File, Array

Vtools_Report_Plot_Association_Qq_V0_1_0 = CommandToolBuilder(tool="vtools_report_plot_association_qq", base_command=["vtools_report", "plot_association", "qq"], inputs=[ToolInput(tag="in_shape", input_type=Int(optional=True), prefix="--shape", doc=InputDocumentation(doc="Choose a shape theme (integer 1 to 16) for dots on QQ\nplot. Default set to 1.")), ToolInput(tag="in_fixed_shape", input_type=Boolean(optional=True), prefix="--fixed_shape", doc=InputDocumentation(doc="Use the same dot-shape theme for all plots")), ToolInput(tag="in_no_slope", input_type=Boolean(optional=True), prefix="--no_slope", doc=InputDocumentation(doc="Do not plot the diagonal line")), ToolInput(tag="in_title", input_type=String(optional=True), prefix="--title", doc=InputDocumentation(doc="Title of plot.")), ToolInput(tag="in_color", input_type=String(optional=True), prefix="--color", doc=InputDocumentation(doc="Choose a color theme from the list above to apply to\nthe plot. (via the 'RColorBrewer' package:\ncran.r-project.org/web/packages/RColorBrewer)")), ToolInput(tag="in_width_height", input_type=String(optional=True), prefix="--width_height", doc=InputDocumentation(doc="INCHES, --width-height INCHES INCHES\nThe width and height of the graphics region in inches")), ToolInput(tag="in_same_page", input_type=Boolean(optional=True), prefix="--same_page", doc=InputDocumentation(doc="Plot multiple groups of p-values on the same graph")), ToolInput(tag="in_output", input_type=File(optional=True), prefix="--output", doc=InputDocumentation(doc="Specify output graph filename. Output is in pdf\nformat. It can be converted to jpg format via the\n'convert' command in Linux (e.g., convert -density 180\np.pdf p.jpg)")), ToolInput(tag="in_bonferroni", input_type=Boolean(optional=True), prefix="--bonferroni", doc=InputDocumentation(doc="Plot the horizontal line at 0.05/N on Y-axis\n(significance level after Bonferroni correction)")), ToolInput(tag="in_h_lines", input_type=Array(t=String(), optional=True), prefix="--hlines", doc=InputDocumentation(doc="Additional horizontal line(s) to be drawn on the\nY-axis.")), ToolInput(tag="in_label_top", input_type=Int(optional=True), prefix="--label_top", doc=InputDocumentation(doc="Specify how many top hits (smallest p-values by rank)\nyou want to highlight with their identifiers in text.")), ToolInput(tag="in_label_these", input_type=Array(t=String(), optional=True), prefix="--label_these", doc=InputDocumentation(doc="Specify the names of variants (chr:pos, e.g., 1:87463)\nor genes (genename, e.g., IKBKB) you want to highlight\nwith their identifiers in text.")), ToolInput(tag="in_font_size", input_type=Int(optional=True), prefix="--font_size", doc=InputDocumentation(doc="Font size of text labels. Default set to '2.5'.\n"))], outputs=[ToolOutput(tag="out_output", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output", type_hint=File()), doc=OutputDocumentation(doc="Specify output graph filename. Output is in pdf\nformat. It can be converted to jpg format via the\n'convert' command in Linux (e.g., convert -density 180\np.pdf p.jpg)"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Vtools_Report_Plot_Association_Qq_V0_1_0().translate("wdl", allow_empty_container=True)

